<!-- <section class="firstpage" align="center">
  <div style="height: 150px"></div>
  <div class="box oo">
    <p class="head">Embassy Electroincs</p>

   


    <div>
      <li (click)="onSelect(item)" *ngFor="let item of items | async">
        <div class="flip-card center">
          <div class="flip-card-inner">
            <div class="flip-card-front">
              <img
                src="{{ item.imageUrl }}"
                alt="{{ item.name }}"
                style="width: 180px; height: 245px; border-radius: 20px"
              />
            </div>
            <div class="flip-card-back" style="border-radius: 20px">
              <br /><br /><br />
              <h1>{{ item.name }}</h1>
            </div>
          </div>
        </div>
      </li>
    </div>

  </div>

</section> -->

<router-outlet></router-outlet>

<!-- ************************************************************************************************************************************************************ -->
<!-- ************************************************************************************************************************************************************ -->
<!-- ************************************************************  New Front page trial ************************************************************************** -->
<!-- ************************************************************************************************************************************************************ -->
<!-- ************************************************************************************************************************************************************ -->

<section id="products">
  <div class="offer">
    <div class="small-container">
      <div class="row">
        <div class="col-2">
          <h1>This is a hell of a work</h1>
          <p>small text small text samll text</p>
          <a href="" class="btn">Explore Now &#x2799;</a>
        </div>
        <div class="col-2">
          <img
            src="../../assets/images/—Pngtree—hacker wearing hoodie and using_5415642.png"
            alt=""
          />
        </div>
      </div>
    </div>
  </div>

  <!-- ************************************   FEATURED CATEGORIES  ********************************** -->

  <div>
    <div class="categories">
      <div class="small-container">
        <div class="row">
          <div
            class="col-3"
            *ngFor="let featuredCategory of featuredCategorys | async"
          >
            <img
              src="{{ featuredCategory.image }} "
              alt="{{ featuredCategory.alt }}"
            />
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- ************************************    FEATURED PRODUCTS    ********************************* -->

  <div>
    <div class="small-container">
      <h2 class="title">FEATURED PRODUCTS</h2>
      <div class="row">
        <div
          class="col-4"
          align="center"
          *ngFor="let featuredProduct of featuredProducts | async"
        >
          <img
            src="{{ featuredProduct.image }}"
            alt=" {{ featuredProduct.name }} "
          />
          <!-- <h4>{{ featuredProducts.name }}</h4> -->

          <p class="rating">rating : {{ featuredProduct.rating }}</p>
          <p>&#x20B9; {{ featuredProduct.price }}</p>
        </div>
      </div>
    </div>
    <!-- *******************************LATEST PRODUCTS ************************* -->
    <div>
      <div class="small-container">
        <h2 class="title">LATEST PRODUCTS</h2>
        <div class="row">
          <div
            class="col-4"
            *ngFor="let latestProduct of latestProducts | async"
          >
            <mat-card style="text-align: center">
              <img
                mat-card-image
                src="{{ latestProduct.image }}"
                alt=" {{ latestProduct.name }} "
              />
              <mat-card-title>{{ latestProduct.name }}</mat-card-title>
              <mat-card-subtitle>{{ latestProduct.brand }}</mat-card-subtitle>
              <mat-card-subtitle>{{ latestProduct.price }}</mat-card-subtitle>
              <mat-card-actions>
                <button mat-button class="btn">Add to Cart</button>
              </mat-card-actions>
            </mat-card>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- ********************************************** OFFER PAGE ********************************* -->
  <div>
    <div class="offer">
      <div class="small-container">
        <div class="row">
          <div class="col-2">
            <img
              src="../../assets/images/—Pngtree—hand drawn grey tv illustration_4525664.png"
              alt=""
              class="offer-img"
            />
          </div>
          <div class="col-2">
            <p>something something</p>
            <h1>smart TV</h1>
            <small>
              this is something of a tv you will lovw it dont worry </small
            ><br />
            <a href="" class="btn">Buy Now &#x2799;</a>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- **************************************** TESTOMINIAL *********************************** -->

  <div>
    <div class="categories">
      <div class="small-container">
        <div class="row">
          <div class="col-3">
            <mat-card style="text-align: center; max-width: 400px">
              <mat-card-header>
                <div mat-card-avatar class="header-image">
                  <img
                    src="https://material.angular.io/assets/img/examples/shiba1.jpg"
                    alt=""
                  />
                </div>
                <mat-card-title>Shiba Inu</mat-card-title>
                <mat-card-subtitle>Dog Breed</mat-card-subtitle>
              </mat-card-header>
              <img
                mat-card-image
                src="https://material.angular.io/assets/img/examples/shiba2.jpg"
                alt="Photo of a Shiba Inu"
              />

              <mat-card-content>
                <p>
                  The Shiba Inu is the smallest of the six original and distinct
                  spitz breeds of dog from Japan. A small, agile dog that copes
                  very well with mountainous terrain, the Shiba Inu was
                  originally bred for hunting.
                </p>
              </mat-card-content>
            </mat-card>
          </div>
          <div class="col-3">
            <mat-card style="text-align: center; max-width: 400px">
              <mat-card-header>
                <div mat-card-avatar class="header-image"></div>
                <mat-card-title>Shiba Inu</mat-card-title>
                <mat-card-subtitle>Dog Breed</mat-card-subtitle>
              </mat-card-header>
              <img
                mat-card-image
                src="https://material.angular.io/assets/img/examples/shiba2.jpg"
                alt="Photo of a Shiba Inu"
              />

              <mat-card-content>
                <p>
                  The Shiba Inu is the smallest of the six original and distinct
                  spitz breeds of dog from Japan. A small, agile dog that copes
                  very well with mountainous terrain, the Shiba Inu was
                  originally bred for hunting.
                </p>
              </mat-card-content>
            </mat-card>
          </div>
          <div class="col-3">
            <mat-card style="text-align: center; max-width: 400px">
              <mat-card-header>
                <div mat-card-avatar class="header-image"></div>
                <mat-card-title>Shiba Inu</mat-card-title>
                <mat-card-subtitle>Dog Breed</mat-card-subtitle>
              </mat-card-header>
              <img
                mat-card-image
                src="https://material.angular.io/assets/img/examples/shiba2.jpg"
                alt="Photo of a Shiba Inu"
              />

              <mat-card-content>
                <p>
                  The Shiba Inu is the smallest of the six original and distinct
                  spitz breeds of dog from Japan. A small, agile dog that copes
                  very well with mountainous terrain, the Shiba Inu was
                  originally bred for hunting.
                </p>
              </mat-card-content>
            </mat-card>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- ************************************************brand************************************* -->
  <div>
    <div class="brands">
      <div class="small-container">
        <div class="row">
          <div class="col-5">
            <img src="../../assets/images/logo-coca-cola.png" alt="" />
          </div>
          <div class="col-5">
            <img src="../../assets/images/logo-godrej.png" alt="" />
          </div>
          <div class="col-5">
            <img src="../../assets/images/logo-oppo.png" alt="" />
          </div>
          <div class="col-5">
            <img src="../../assets/images/logo-paypal.png" alt="" />
          </div>
          <div class="col-5">
            <img src="../../assets/images/logo-philips.png" alt="" />
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
